ICU 78.3: UTransPosition Struct Reference

ICU 78.3 78.3

Data Fields
UTransPosition Struct Reference

Position structure for utrans_transIncremental() incremental transliteration. More...

`#include <utrans.h>`

## Data Fields
int32_t | contextStart
| Beginning index, inclusive, of the context to be considered for a transliteration operation. More...
int32_t | contextLimit
| Ending index, exclusive, of the context to be considered for a transliteration operation. More...
int32_t | start
| Beginning index, inclusive, of the text to be transliterated. More...
int32_t | limit
| Ending index, exclusive, of the text to be transliterated. More...

## Detailed Description

Position structure for utrans_transIncremental() incremental transliteration.

This structure defines two substrings of the text being transliterated. The first region, [contextStart, contextLimit), defines what characters the transliterator will read as context. The second region, [start, limit), defines what characters will actually be transliterated. The second region should be a subset of the first.

After a transliteration operation, some of the indices in this structure will be modified. See the field descriptions for details.

contextStart <= start <= limit <= contextLimit

Note: All index values in this structure must be at code point boundaries. That is, none of them may occur between two code units of a surrogate pair. If any index does split a surrogate pair, results are unspecified.

Stable:
  ICU 2.0

Definition at line 125 of file utrans.h.

## Field Documentation

## ◆ contextLimit

int32_t UTransPosition::contextLimit

Ending index, exclusive, of the context to be considered for a transliteration operation.

The transliterator will ignore anything at or after this index. INPUT/OUTPUT parameter: This parameter is updated to reflect changes in the length of the text, but points to the same logical position in the text.

Stable:
  ICU 2.4

Definition at line 145 of file utrans.h.

## ◆ contextStart

int32_t UTransPosition::contextStart

Beginning index, inclusive, of the context to be considered for a transliteration operation.

The transliterator will ignore anything before this index. INPUT/OUTPUT parameter: This parameter is updated by a transliteration operation to reflect the maximum amount of antecontext needed by a transliterator.

Stable:
  ICU 2.4

Definition at line 135 of file utrans.h.

## ◆ limit

int32_t UTransPosition::limit

Ending index, exclusive, of the text to be transliterated.

INPUT/OUTPUT parameter: This parameter is updated to reflect changes in the length of the text, but points to the same logical position in the text.

Stable:
  ICU 2.4

Definition at line 163 of file utrans.h.

## ◆ start

int32_t UTransPosition::start

Beginning index, inclusive, of the text to be transliterated.

INPUT/OUTPUT parameter: This parameter is advanced past characters that have already been transliterated by a transliteration operation.

Stable:
  ICU 2.4

Definition at line 154 of file utrans.h.

The documentation for this struct was generated from the following file:

- i18n/unicode/utrans.h